local addonName, addonTable = ...

local E = addonTable.E
local L = addonTable.L

E.error = {}

-- Globals
local RaidNotice_AddMessage = _G.RaidNotice_AddMessage
local PlaySoundFile = _G.PlaySoundFile
local format = _G.format
--
function E.error:showErrorMsg(msg, ...)
    msg = format(msg, ...)
    RaidNotice_AddMessage(_G.RaidWarningFrame, msg, _G.ChatTypeInfo["RAID_WARNING"])
    PlaySoundFile("Sound\\Interface\\RaidWarning.wav")
end

function E.error:equipSetFailed(set)
    self:showErrorMsg(L["Couldn't equip set %s"], set)
end

function E.error:itemsForEquipmentSetMissing(set)
    self:showErrorMsg(L["Some items are missing for set %s. Didn't change anything."], set)
end

function E.error:inCombat()
    self:showErrorMsg(L["Specialization cannot be changed in combat"])
end

function E.error:notInRestingArea()
    self:showErrorMsg(L["You have to be in a resting area for talent changes. Talents were not updated."])
end
-- 227041 Foliant des ruhigen gemüts
